7025: Nemesis.Glassline v1.5/1.7?

  • Hallo,


    die Auswahl an SD Skins für die 7025 ist ja "eher klein".
    Nachdem ich den Standard-Skin (sorry) grausig finde, verwende ich den Nemesis.Glassline, der ist ganz OK.


    Im letzten Update ist eine v1.5 enthalten, die ich einfach nicht installiert bekomme. Ich weiß, der Speicherplatz ist auf der 7025 sehr knapp. Meine Installation ist soweit abgespeckt, dass normalerweise die Updates klappen (zumindest bisher).


    Code
    root@dm7025:/media/hdd/temp# opkg install gp-skin-nemesis.glassline_v1.5_20110115-r0_mipsel.ipk
    Upgrading gp-skin-nemesis.glassline on root from v1.4_110105-r0 to v1.5_20110115-r0...
    Paketsize 1948kb tis to big for your Flashsize 1340kb
    Abort Installation
    Killed


    Das Paket ist ja 1,1 MB, das alte hatte 1.0. Warum spricht der Installer von fast 2 MB?


    Was ist neu in der 1.5? Würde gern wissen, was ich verpasse...

    Grüße
    ...jp


    DM900 / OE2.5 Experimental ... und sehr glücklich damit :)

    Edited 2 times, last by juanito_perez ().

  • Bin einen Schritt weiter:


    Kann es sind, dass die preinst fehlerhaft bzw. nicht 7025 kompatibel ist, die bei der Installation angelegt wird?


    Die Zeile:
    FREEsize=`df -k | grep root | tr -s " " | cut -d " " -f 4`


    fragt bei der 7025 "root" ab, welches aber gerade mal 3.8M groß ist.
    Müsste es bei der 7025 nicht "none" lauten?


    Spaßeshalber habe ich die data.tar extrahiert und auf der Box entpackt.
    Hat problemlos geklappt, jetzt habe ich zwar die aktuelle Version, der Installer weiß aber leider nichts davon...
    Wo steht die Info, welche Version installiert ist?


    Grüße
    ...jp

    Grüße
    ...jp


    DM900 / OE2.5 Experimental ... und sehr glücklich damit :)

    Edited once, last by juanito_perez ().

  • FREEsize=`df -k | grep none | tr -s " " | cut -d " " -f 4`
    würde funktionieren.

  • Yepp, das hatte ich ja geschrieben ;-)


    Wobei die preinst imho etwas zu streng ausgefallen ist. Der eingestellte Werte (1948kb) erscheint mir zu groß, zudem wird nicht berücksichtigt, ob der Skin bereits installiert ist. Auf der 7025 wird es so natürlich sehr, sehr eng.


    Letzten Endes habe ich den Installer ausgetrickst und den Skin problemlos aktualisiert bekommen.

    Grüße
    ...jp


    DM900 / OE2.5 Experimental ... und sehr glücklich damit :)

  • Hatte das gleiche Problem.
    Habe mir ein neues ipk gemacht. Dabei habe ich die preinst weggelassen und in der Control das Datum auf den 16.01. geändert und installiert.


    Gruß bigman

  • Hi,


    ich stehe noch ziemlich am Anfang, was ipkgs anbelangt. Hab das ipkg mit 7zip entpackt und darin die data.tar gefunden, die alle Files unter usr enthält. Die preinst und die control habe ich darin allerdings nicht gefunden, weswegen ich angenommen hatte, dass die direkt vom blue-panel-Server kommen. Ist das nicht so?

    Grüße
    ...jp


    DM900 / OE2.5 Experimental ... und sehr glücklich damit :)

  • Quote

    Original von juanito_perez
    Hallo,


    die Auswahl an SD Skins für die 7025 ist ja "eher klein".
    Nachdem ich den Standard-Skin (sorry) grausig finde, verwende ich den Nemesis.Glassline, der ist ganz OK.


    Deswegen würde ich mal einen XD Skin testen, wertet die 7025 unheimlich auf!

    Dream 1: 7020HD SS
    Image: Merlin3 OE2.0/GP3
    Dream 2: 7025 SS
    Image: Merlin2

  • XD-Skin? Hilf' mir? Wo finde ich sowas? Im BP finde ich nur HD und nur einen ausgewiesenen SD-Skin. XD steht da nirgends.

    Grüße
    ...jp


    DM900 / OE2.5 Experimental ... und sehr glücklich damit :)

  • Bei mir besteht das gleiche Problem - ich kriege das Glassline Skin einfach nicht installiert, ich hatte auch schon bei der Version 1.4 Probleme. Die wollte sich über das Blue Panel auch nicht installieren lassen.


    Ich habe mir dann das Paket aus einen Forum runtergeladen, und dann manuell installiert - jetzt funktioniert das Update auf 1.5 über BP nicht.


    Kann mir jemand sagen wo ich das Paket runterladen kann?



    MacDisein

  • Mit der 1.5'er besteht auf "regulärem" Weg keine Chance, solange das fehlerhafte Paket nicht gefixt wird....

    Grüße
    ...jp


    DM900 / OE2.5 Experimental ... und sehr glücklich damit :)

  • Quote

    Original von juanito_perez
    Mit der 1.5'er besteht auf "regulärem" Weg keine Chance, solange das fehlerhafte Paket nicht gefixt wird....


    Nur zur Info: Die aktuelle 1.7 hat wieder das gleiche Problem und ist damit so nicht auif der 7025 installierbar.


    Ich finde es schade, dass hier gemeldete Probleme offensichtlich nicht immer den Weg zu den Devs finden.


    P.S. Die Preinst möchte inzwischen 2.1MB freien Speicher der gerade mal 3.8MB großen /dev/root haben....

    Grüße
    ...jp


    DM900 / OE2.5 Experimental ... und sehr glücklich damit :)

    Edited once, last by juanito_perez ().